Request

Endpoint: !UpdateUserOvCallback

https://secure.trust-provider.com/products/!UpdateUserOvCallback

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required, optional, and conditional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

The account username.

This value is case sensitive.

loginPassword

required

string

128 chars

The account password.

This value is case sensitive.

action

required

string

100 chars

The action to be performed.

The allowed values are:

  • ScheduledCallback — Schedule automatic callback for customer.

  • ManualCallback — Notify Sectigo support team that the customer is requesting manual callback.

  • ReplacePhone — Notify Sectigo support team that the current phone number of the account is invalid and suggest a new one, or that the callback method needs to be changed from Email to Telephone.

  • replaceEmailAddress — Notify Sectigo support team that the callback method needs to be changed from Telephone to Email.

  • sendCallbackEmail — Notify Sectigo support team to re-send callback email to the customer.

orderNumber

required

string

128 chars

The order number of a certificate for which a callback is required.

phoneNumber

conditional

string

32 chars

The customer’s new phone number.

This parameter is required for the action ReplacePhone.

emailAddress

conditional

string

255 chars

The customer’s new email address.

This parameter is required for action ReplaceEmailAddress.

preferredTimeUTC

conditional

string

30 chars

The date and time for a callback.

The format must be yyyy-mm-dd hh24:mi.

This parameter is required for the ManualCallback and ScheduledCallback actions.

extensionNumber

optional

string

5 chars

The extension number for the callback.

This parameter is only for the ManualCallback and ScheduledCallback actions.

language

optional

string

5 chars

The language for the callback.

The supported values are:

  • en-us — English

  • ru_ru — Russian

  • de-de — German

  • pt-br — Portuguese

  • nl-nl — Dutch

  • fr-fr — French

If not specified, the value is default to en-us.

comments

optional

string

2000 chars

Some comments for the Sectigo Support team.

This parameter is only for the ManualCallback and ScheduledCallback actions.

Sample request

curl --location 'https://secure.trust-provider.com/products/!UpdateUserOvCallback' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'action=ScheduledCallback' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'preferredTimeUTC=2024-02-02 13:03'

Response

The request is successful when the server returns a response with the error code 0.

Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.

The response is formatted in x-www-form-urlencoded format.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

The numeric code indicating the result of the request.

For more information, see Error codes.

errorMessage

The explanation of the error.

status

The result of the action.

The possible values:

  • 0 — The action was not completed.

  • 1 — The action was successfully completed.

Sample success response

errorCode=0&status=1

Sample error response

errorCode=-20&errorMessage=Sectigo+is+still+checking+customer%27s+phone+number

Error codes

The following table outlines error responses returned by the UpdateUserOvCallback API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Incorrect login details, account is locked, password has expired or your source IP is blocked.

The request has failed due to authentication issues.

-17

Request used GET rather than POST!

The request method should be POST.

-20

Action specific errors (see errorMessage for details)

The error is specific to the action being performed.

The error message varies based on the action.